#pragma once
#include <map>
struct M_ActivityMonsterRankingCFGData
{
	//编号
	int mID;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具
	std::vector<int> mRewardItme;
	//奖励数量
	std::vector<int> mRewardCount;
};

class M_ActivityMonsterRankingCFG
{
public:
private:
	static std::auto_ptr<M_ActivityMonsterRankingCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityMonsterRankingCFGData* GetData(int ID);
	const std::map<int, M_ActivityMonsterRankingCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityMonsterRankingCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityMonsterRankingCFGData> mMapData;
};
